Skip to main content

Cancel voucher

POST /v1/public/vouchers/{id}/cancel

Cancels an eligible customer voucher and records the reason. This operation requires an idempotency key.

Authorization

X-API-Key required with the vouchers:manage scope

Parameters

NameLocationTypeRequiredDescription
idpathstringYesThe customer voucher's returned id or externalId.
Idempotency-KeyheaderstringYesA unique key for this logical write operation. Keys are retained for 24 hours.

Request body

FieldTypeRequiredDescription
reasonstringYesHuman-readable audit reason.

Request example

curl -X POST "https://api.remyrewards.co.uk/v1/public/vouchers/66c735e253f2836fbe941234/cancel" \
  -H "Accept: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Idempotency-Key: order-1042-redeem-1" \
  -H "Content-Type: application/json" \
  --data '{
  "reason": "Customer order refunded"
}'

Responses

StatusDescription
200Voucher cancelled.
400The request is missing a required value or contains invalid data.
401The API key is missing or invalid.
403The API key is valid but does not have the required scope.
404The requested integration resource was not found.
409The idempotency key is already processing or was used for a different request.
429A rate or concurrency limit was exceeded.